package org.dromara.payment.merchant.service;

import org.dromara.payment.merchant.domain.BusMerchantConfig;
import org.dromara.payment.merchant.domain.vo.BusMerchantConfigVo;
import org.dromara.payment.merchant.domain.bo.BusMerchantConfigBo;
import org.dromara.common.mybatis.core.page.TableDataInfo;
import org.dromara.common.mybatis.core.page.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 商户配置Service接口
 *
 * @author LionLi
 * @date 2024-04-03
 */
public interface IBusMerchantConfigService {

    /**
     * 查询商户配置
     */
    BusMerchantConfigVo queryById(Long id);

    /**
     * 查询商户配置列表
     */
    TableDataInfo<BusMerchantConfigVo> queryPageList(BusMerchantConfigBo bo, PageQuery pageQuery);

    /**
     * 查询商户配置列表
     */
    List<BusMerchantConfigVo> queryList(BusMerchantConfigBo bo);

    /**
     * 新增商户配置
     */
    Boolean insertByBo(BusMerchantConfigBo bo);

    /**
     * 修改商户配置
     */
    Boolean updateByBo(BusMerchantConfigBo bo);

    /**
     * 校验并批量删除商户配置信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
